summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Luis Henrique <lmello.009@gmail.com>2010-05-12 23:33:01 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:01 +0200
commitb78ab699b48b849153ccff2ac8bbf9ef9e562eef (patch)
tree6ed8f2dec970a5b419eb02f0e0a42042dae67ded /office
parent275dc9b95ba3e915c504f6e7fa11e5915bad2d22 (diff)
downloadslackbuilds-b78ab699b48b849153ccff2ac8bbf9ef9e562eef.tar.gz
slackbuilds-b78ab699b48b849153ccff2ac8bbf9ef9e562eef.tar.xz
office/latex2html: Added to 12.2 repository
Diffstat (limited to 'office')
-rw-r--r--office/latex2html/README5
-rw-r--r--office/latex2html/latex2html.SlackBuild82
-rw-r--r--office/latex2html/latex2html.info8
-rw-r--r--office/latex2html/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/office/latex2html/README b/office/latex2html/README
new file mode 100644
index 0000000000..49516e3026
--- /dev/null
+++ b/office/latex2html/README
@@ -0,0 +1,5 @@
+latex2html (LATEX to HTML convertor)
+
+LATEX2HTML is a convertor written in Perl that converts LATEX
+documents to HTML. This way e.g. scientific papers - primarily
+typeset for printing - can be put on the Web for online viewing.
diff --git a/office/latex2html/latex2html.SlackBuild b/office/latex2html/latex2html.SlackBuild
new file mode 100644
index 0000000000..410c612bbd
--- /dev/null
+++ b/office/latex2html/latex2html.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for latex2html
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=latex2html
+VERSION=${VERSION:-2008}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --shlibdir=/usr/lib/latex2html \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-images \
+ --enable-eps \
+ --enable-gif \
+ --enable-png \
+ --enable-pipes \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS Changes FAQ INSTALL LICENSE LICENSE.orig MANIFEST README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/latex2html/latex2html.info b/office/latex2html/latex2html.info
new file mode 100644
index 0000000000..915c6c9c6b
--- /dev/null
+++ b/office/latex2html/latex2html.info
@@ -0,0 +1,8 @@
+PRGNAM="latex2html"
+VERSION="2008"
+HOMEPAGE="http://www.latex2html.org"
+DOWNLOAD="http://saftsack.fs.uni-bayreuth.de/~latex2ht/current/latex2html-2008.tar.gz"
+MD5SUM="275ab6cfa8ca9328446b7f40d8dc302e"
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="dsomero"
diff --git a/office/latex2html/slack-desc b/office/latex2html/slack-desc
new file mode 100644
index 0000000000..39fca95cc9
--- /dev/null
+++ b/office/latex2html/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+latex2html: latex2html (LATEX to HTML convertor)
+latex2html:
+latex2html: LATEX2HTML is a convertor written in Perl that converts LATEX
+latex2html: documents to HTML. This way e.g. scientific papers - primarily
+latex2html: typeset for printing - can be put on the Web for online viewing.
+latex2html:
+latex2html:
+latex2html:
+latex2html:
+latex2html:
+latex2html: